import 'package:pip_clients_sessions/src/version1/SessionsMemoryClientV1.dart';
import 'package:test/test.dart';
import 'package:pip_clients_sessions/pip_clients_sessions.dart';
import './SessionsClientFixtureV1.dart';

void main() {
  group('SessionsMemoryClientV1', () {
    late SessionsMemoryClientV1 client;
    late SessionsClientFixtureV1 fixture;

    setUp(() async {
      client = SessionsMemoryClientV1();

      fixture = SessionsClientFixtureV1(client);
    });

    test('Open Session', () async {
      await fixture.testOpenSession();
    });

    test('Close Session', () async {
      await fixture.testCloseSession();
    });
  });
}
